package com.gh.gamecenter.core.provider



interface IUserManagerProvider {

    fun userShouldTakeRegulationBaseOnLastRemind(): Boolean

    fun getUserId(): String

    fun getToken(): String

    fun refreshToken(accessToken: String, success: () -> Unit, fail: (String?) -> Unit)
}